/// <reference types="backbone" />
import { DOMWidgetModel, DOMWidgetView, ISerializers, IWidgetManager } from '@jupyter-widgets/base';
import { Message } from '@lumino/messaging';
import { ChromaBar } from 'chromabar';
declare module "@jupyter-widgets/base" {
    function unpack_models(value?: any, manager?: IWidgetManager): Promise<any>;
}
export declare class ColorBarModel extends DOMWidgetModel {
    defaults(): {
        _model_name: string;
        _model_module: any;
        _model_module_version: any;
        _view_name: string;
        _view_module: any;
        _view_module_version: any;
        colormap: null;
        orientation: string;
        side: string;
        length: number;
        breadth: number;
        border_thickness: number;
        title: null;
        padding: number;
        title_padding: number;
        axis_padding: number;
    };
    initialize(attributes: any, options: any): void;
    setupListeners(): void;
    onChildChanged(model: Backbone.Model): void;
    static serializers: ISerializers;
    static model_name: string;
    static model_module: any;
    static model_module_version: any;
    static view_name: string;
    static view_module: any;
    static view_module_version: any;
}
export declare class ColorBarView extends DOMWidgetView {
    render(): void;
    _processLuminoMessage(msg: Message, _super: (msg: Message) => void): void;
    processPhosphorMessage(msg: Message): void;
    processLuminoMessage(msg: Message): void;
    onChange(): void;
    barFunc: ChromaBar;
}
